package com.kangacult.octogone;

import com.badlogic.gdx.controllers.Controller;
import com.badlogic.gdx.controllers.Controllers;

public class Gamepad {

	public boolean connected;

	Controller pad = null;

	public void init() {

		connected = isConnected(); // set if we are connected.

		if (connected) {
			pad = Controllers.getControllers().get(0);
		}
	}

	public boolean isConnected() {
		if (Controllers.getControllers().size == 0) {
			return false;
		}
		return true;
	}
}
